Skip to main content
PUT
/
api
/
v1
/
project
/
{id}
update entity by id
curl --request PUT \
  --url https://api.example.com/api/v1/project/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "legalName": "<string>",
  "description": "<string>",
  "icon": "<string>",
  "website": "<string>",
  "networkStatus": "TESTNET",
  "coinGeckoId": "<string>",
  "params": {},
  "tags": [
    "<string>"
  ],
  "viewTenantIds": [
    123
  ],
  "type": "<string>",
  "meta": {}
}
'
{
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "tenantId": 123,
  "name": "<string>",
  "legalName": "<string>",
  "description": "<string>",
  "icon": "<string>",
  "website": "<string>",
  "networkStatus": "TESTNET",
  "coinGeckoId": "<string>",
  "params": {},
  "tags": [
    "<string>"
  ],
  "viewTenantIds": [
    123
  ],
  "licenses": [
    {
      "license": {
        "name": "<string>",
        "version": "<string>",
        "id": 1,
        "createdAt": 123,
        "updatedAt": 123,
        "status": "ACTIVE",
        "icon": "<string>",
        "scoreGroups": [
          {
            "id": 1,
            "createdAt": 123,
            "updatedAt": 123,
            "status": "ACTIVE",
            "name": "<string>",
            "title": "<string>",
            "description": "<string>"
          }
        ],
        "params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
        "groupScript": "<string>",
        "scoreScript": "<string>"
      },
      "organisationId": 123,
      "projectId": 123,
      "licenseStatus": "PENDING",
      "id": 1,
      "createdAt": 123,
      "updatedAt": 123,
      "status": "ACTIVE",
      "licenseInstanceMeta": [
        {
          "id": 1,
          "createdAt": 123,
          "updatedAt": 123,
          "status": "ACTIVE",
          "licenseInstanceId": 123,
          "startedAt": "2022-03-10T16:15:50Z",
          "expiredAt": "2022-03-10T16:15:50Z"
        }
      ]
    }
  ],
  "type": "<string>",
  "meta": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Body

application/json
name
string

Name for the entity

Tenant legal name

description
string

Description for the entity

icon
string

Icon for the entity

website
string

Tenant website url

Pattern: \s*|^https?.*
networkStatus
enum<string>

Tenant network development or deployment status

Available options:
TESTNET,
MAINNET,
NONE
coinGeckoId
string

CoinGecko Id for this entity

params
object

Tenant dynamic params

tags
string[]

Tags for the entity

viewTenantIds
integer<int64>[]

Set of tenants that can view this project

type
string

Type of the entity. Up to 100 characters.

meta
object

Meta info for the entity

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

tenantId
integer<int64>

ID of the tenant

name
string

Name for the entity

Tenant legal name

description
string

Description for the entity

icon
string

Icon for the entity

website
string

Tenant website url

networkStatus
enum<string>

Tenant network development or deployment status

Available options:
TESTNET,
MAINNET,
NONE
coinGeckoId
string

CoinGecko Id for this entity

params
object

Tenant dynamic params

tags
string[]

Tags for the entity

viewTenantIds
integer<int64>[]

Set of tenants that can view this project

licenses
object[]

Tenant licenses associated with this tenant

type
string

Type of the entity. Up to 100 characters.

meta
object

Meta info for the entity